Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.servlet.web
Class ServerInvokerServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.jboss.remoting.transport.servlet.web.ServerInvokerServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class ServerInvokerServlet

extends javax.servlet.http.HttpServlet

The servlet that receives the inital http request for the ServletServerInvoker.

Author:
  Tom Elrod
See Also:
  Serialized Form

Constructor Summary
`ServerInvokerServlet()`

Method Summary
`void` | `destroy()` Destroys the servlet.
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handles the HTTP `GET` method.
`protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handles the HTTP `POST` method.
`protected ServletServerInvokerMBean` | `getInvokerFromInvokerName(javax.servlet.ServletConfig config)` Returns the servlet server invoker but only if it was specified via the "invokerName" init parameter.
`protected ServletServerInvokerMBean` | `getInvokerFromInvokerUrl(javax.servlet.ServletConfig config)` Returns the servlet server invoker but only if it was specified via the "invokerUrl" init parameter.
`protected javax.management.MBeanServer` | `getMBeanServer()` Returns the MBeanServer where the server invoker should be found.
`java.lang.String` | `getServletInfo()` Returns a short description of the servlet.
`void` | `init(javax.servlet.ServletConfig config)` Initializes the servlet.
`protected void` | `processRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Read a MarshalledInvocation and dispatch it to the target JMX object invoke(Invocation) object.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerInvokerServlet

    public ServerInvokerServlet()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Initializes the servlet.

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Destroys the servlet.

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### processRequest

    protected void processRequest(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws javax.servlet.ServletException,
                                  java.io.IOException

  Read a MarshalledInvocation and dispatch it to the target JMX object invoke(Invocation) object.

  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Handles the HTTP `GET` method.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          java.io.IOException

  Handles the HTTP `POST` method.

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getServletInfo

    public java.lang.String getServletInfo()

  Returns a short description of the servlet.

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`

### getInvokerFromInvokerUrl

    protected ServletServerInvokerMBean getInvokerFromInvokerUrl(javax.servlet.ServletConfig config)
                                                          throws javax.servlet.ServletException

  Returns the servlet server invoker but only if it was specified via the "invokerUrl" init parameter.

  Parameters:
    `config` - the servlet configuration
  Returns:
    the servlet server invoker as specified by the "invokerUrl", or `null` if "invokerUrl" init parameter was not specified
  Throws:
    `javax.servlet.ServletException`

### getInvokerFromInvokerName

    protected ServletServerInvokerMBean getInvokerFromInvokerName(javax.servlet.ServletConfig config)
                                                           throws javax.servlet.ServletException

  Returns the servlet server invoker but only if it was specified via the "invokerName" init parameter.

  Parameters:
    `config` - the servlet configuration
  Returns:
    the servlet server invoker as specified by the "invokerName", or `null` if "invokerName" init parameter was not specified
  Throws:
    `javax.servlet.ServletException`

### getMBeanServer

    protected javax.management.MBeanServer getMBeanServer()

  Returns the MBeanServer where the server invoker should be found. This should only be used if the "invokerName" init parameter is specified (where that invoker name is the object name registered in the returned MBeanServer).

  Returns:
    MBeanServer where the invoker is supposed to be registered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.